Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class InputDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.InputDialog

public class InputDialog extends org.eclipse.swt.widgets.Dialog
Custom SWT dialog to allow the user to input strings for various uses.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputDialog(org.eclipse.swt.widgets.Shell parent)`
  Custom SWT dialog to allow the user to input strings for a parent object.
  `InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message)`
  Custom SWT dialog to allow the user to input strings for a parent object with a title and message.
  `InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, int style)`
  Custom SWT dialog to allow the user to input strings for a parent object with a title, message and style.
  `InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText)`
  Custom SWT dialog to allow the user to input strings for a parent object with a title, message and initial text to be displayed.
  `InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText, int style)`
  Custom SWT dialog to allow the user to input strings for a parent object with a title, message, style and initial text to be displayed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `open()`
  Opens the InputDialog and returns the user's input when the dialog closes.

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InputDialog

    public InputDialog(org.eclipse.swt.widgets.Shell parent)
    Custom SWT dialog to allow the user to input strings for a parent object.
    Parameters:
      `parent` - the dialog parent shell

  - ### InputDialog

    public InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message)
    Custom SWT dialog to allow the user to input strings for a parent object with a title and message.
    Parameters:
      `parent` - the dialog parent shell
      `title` - the dialog title
      `message` - the dialog message

  - ### InputDialog

    public InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, int style)
    Custom SWT dialog to allow the user to input strings for a parent object with a title, message and style.
    Parameters:
      `parent` - the dialog parent shell
      `title` - the dialog title
      `message` - the dialog message
      `style` - the dialog style

  - ### InputDialog

    public InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText)
    Custom SWT dialog to allow the user to input strings for a parent object with a title, message and initial text to be displayed.
    Parameters:
      `parent` - the dialog parent shell
      `title` - the dialog title
      `message` - the dialog message
      `initialText` - the dialog initialText

  - ### InputDialog

    public InputDialog(org.eclipse.swt.widgets.Shell parent, String title, String message, String initialText, int style)
    Custom SWT dialog to allow the user to input strings for a parent object with a title, message, style and initial text to be displayed.
    Parameters:
      `parent` - the dialog parent shell
      `title` - the dialog title
      `message` - the dialog message
      `initialText` - the dialog initialText
      `style` - the dialog style

- ## Method Details

  - ### open

    public String open()
    Opens the InputDialog and returns the user's input when the dialog closes.
    Returns:
      the user input data